# PSF-LoginServer - master - net.psforever.objects.locker.LockerContainerControl
PSF - LoginServer - master - net.psforever.objects.locker.LockerContainerControl
Keywords: PSF LoginServer master net.psforever.objects.locker.LockerContainerControl

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package locker
  Definition Classes
    objects
- LockerContainer
- LockerContainerControl
- LockerEquipment

c

net.psforever.objects.locker

# LockerContainerControl

###

#### class LockerContainerControl extends Actor with ContainableBehavior

A control agency mainly for manipulating the equipment stowed by a player in a `LockerContainer` and reporting back to a specific xchannel in the event system about these changes.

Source
  LockerContainerControl.scala

Linear Supertypes
ContainableBehavior, Actor, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. LockerContainerControl
2. ContainableBehavior
3. Actor
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new LockerContainerControl(locker: LockerContainer, toChannel: String)

   locker

     the governed player-facing locker component

   toChannel

     the channel to which to publish events, typically the owning player's name

### Type Members

1.  type Receive = PartialFunction[Any, Unit]
   Definition Classes
     Actor

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def ContainerObject: LockerContainer
   Definition Classes
     LockerContainerControl → ContainableBehavior
5.  def MessageDeferredCallback(msg: Any): Unit

   Reaction to the initial deferrence of a message that should handle the visual aspects of not immediately addressing the message.

   Reaction to the initial deferrence of a message that should handle the visual aspects of not immediately addressing the message. To be implemented.

   msg

     the deferred message

   Definition Classes
     LockerContainerControl → ContainableBehavior
6.  def PutItemInSlotCallback(item: Equipment, slot: Int): Unit

   Reaction to an item being placed into a container.

   Reaction to an item being placed into a container. To be implemented.

   item

     the item that was removed

   slot

     the slot from which is was removed

   Definition Classes
     LockerContainerControl → ContainableBehavior
7.  def RemoveItemFromSlotCallback(item: Equipment, slot: Int): Unit

   Reaction to an item being removed a container.

   Reaction to an item being removed a container. To be implemented.

   item

     the item that was removed

   slot

     the slot from which is was removed

   Definition Classes
     LockerContainerControl → ContainableBehavior
8.  def RepeatMessageLater(msg: Any): Unit

   Defer a message until later.

   Defer a message until later.

   msg

     the message to defer

   Definition Classes
     ContainableBehavior
   See also

     `ContainableBehavior.Defer`

     `DeferrableMsg`

9.  def Reset(): Unit

   Stop blocking messages.

   Stop blocking messages.

   Definition Classes
     ContainableBehavior
10.  def Resume(): Unit

    Decrement the flag for blocking messages.

    Decrement the flag for blocking messages.

    Definition Classes
      ContainableBehavior
11.  def SwapItemCallback(item: Equipment, fromSlot: Int): Unit

    Reaction to the existence of a swap item being produced from a container into the environment.

    Reaction to the existence of a swap item being produced from a container into the environment. To be implemented.

    item

      the item that was removed

    fromSlot

      the slot from where the item was removed (where it previous was)

    Definition Classes
      LockerContainerControl → ContainableBehavior
12.  def Wait(): Unit

    Increment the flag for blocking messages.

    Increment the flag for blocking messages.

    Definition Classes
      ContainableBehavior
13.  def aroundPostRestart(reason: Throwable): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
14.  def aroundPostStop(): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
15.  def aroundPreRestart(reason: Throwable, message: Option[Any]): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
16.  def aroundPreStart(): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
17.  def aroundReceive(receive: akka.actor.Actor.Receive, msg: Any): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
18.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
19.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
20.  final val containerBehavior: Receive
    Definition Classes
      ContainableBehavior
21.  implicit val context: ActorContext
    Definition Classes
      Actor
22.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
24.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
25.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
26.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
27.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
28.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
29.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
30.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
31.  def postRestart(reason: Throwable): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
32.  def postStop(): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
33.  def preRestart(reason: Throwable, message: Option[Any]): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
34.  def preStart(): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
35.  def receive: Receive
    Definition Classes
      LockerContainerControl → Actor
36.  implicit final val self: ActorRef
    Definition Classes
      Actor
37.  final def sender(): ActorRef
    Definition Classes
      Actor
38.  def supervisorStrategy: SupervisorStrategy
    Definition Classes
      Actor
39.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
40.  def toString(): String
    Definition Classes
      AnyRef → Any
41.  def unhandled(message: Any): Unit
    Definition Classes
      Actor
42.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
43.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
44.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from ContainableBehavior

### Inherited from Actor

### Inherited from AnyRef

### Inherited from Any

### Ungrouped